Loading...
Searching...
No Matches
gsmtap_inst Struct Reference
GSMTAP

one gsmtap instance More...

## Data Fields

int | osmo_io_mode
| Indicates whether or not to use Osmo IO mode for message output (thus enabling use of tx queues).
int | source_fd
| the gsmtap source FD
struct osmo_io_fd * | out
| Used when osmo_io_mode is nonzero.
int | sink_fd

## Detailed Description

one gsmtap instance

## Field Documentation

## osmo_io_mode

int gsmtap_inst::osmo_io_mode

Indicates whether or not to use Osmo IO mode for message output (thus enabling use of tx queues).

## out

struct osmo_io_fd* gsmtap_inst::out

Used when osmo_io_mode is nonzero.

## sink_fd

int gsmtap_inst::sink_fd

## source_fd

int gsmtap_inst::source_fd

the gsmtap source FD

Referenced by gsmtap_inst_fd2().

The documentation for this struct was generated from the following file:

- src/core/gsmtap_util.c